<div style="margin-top: 20px;">
    <div class="container">

        <div class="row">
            <div class="ui-g" >
                <div class="ui-g-12  ">
                    <div class="ui-g-4">
                        <label jhiTranslate="mpmApp.vehicleSalesOrder.notePermintaanNokaNosin">Note Permintaan Noka/Nosin</label>
                    </div>
                    <div class="ui-g-8">
                        
                    </div>
                </div>

                <div class="ui-g-12  ">
                    <div class="ui-g-4">
                        <label jhiTranslate="mpmApp.vehicleSalesOrder.notePermintaanNopol">Note Permintaan Nopol</label>
                    </div>
                    <div class="ui-g-8">
                        
                    </div>
                </div>                
            </div>
        </div>

        <div class="row">
            <div class="ui-g" >
                <div class="ui-g-12  ">
                    <div class="ui-g-4">
                        <label jhiTranslate="mpmApp.vehicleSalesOrder.noKa">No. Rangka</label>
                    </div>
                    <div class="ui-g-8">
                        <input type="text">
                         <!-- [(ngModel)]="cariNoka" > -->
                    </div>
                </div>

                <div class="ui-g-12  ">
                    <div class="ui-g-4">
                        <label jhiTranslate="mpmApp.vehicleSalesOrder.noMachine">No Mesin</label>
                        
                    </div>
                    <div class="ui-g-8">
                        <input type="text">
                         <!-- [(ngModel)]="cariNosin"> -->
                    </div>
                </div>                
            </div>
        </div>

        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.vehicleSalesOrder.home.title">List Available</span>
            </h5>
            <p-dataTable
                [value]="inventoryItems"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                scrollable="true"
                dataKey="idOrder"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['../vehicle-sales-order-manual-matching-edit']">
                        </button>
                    </div>
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                    name="currentSearch" placeholder="{{ 'mpmApp.vehicleSalesOrder.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                                
                <p-column header="{{'mpmApp.vehicleSalesOrder.noVSO'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- <div *ngIf="rowData.orderNumber"> -->
                            {{rowData.orderNumber}}
                        <!-- </div> -->
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.tglVso'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.dateOrder">
                            {{rowData.dateOrder}}
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.customer'|translate}} " [style]="{'width': '70px', 'text-align': 'center'}" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            <a [routerLink]="['../customer', rowData.customerId  ]" >{{rowData.customerName}}</a>
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.statusUnit'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- <div *ngIf="rowData.customerName"> -->
                            <!-- {{rowData.customerName}} -->
                            Hardcode
                        <!-- </div> -->
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.leasing'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            {{rowData.customerName}}
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.sales'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            {{rowData.customerName}}
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.korsales'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            {{rowData.customerName}}
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">                     
                        <button pButton type="submit"
                                [routerLink]="['../vehicle-sales-order/'+ rowData.idOrder + '/edit']"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>

                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>

            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>
